Package org.apache.sling.cms.reference.forms

## Class FormActionResult

- java.lang.Object
- - org.apache.sling.cms.reference.forms.FormActionResult

    public class FormActionResult
    extends Object

A simple Pojo for the result of a form action.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FormActionResult` `failure​(String message)`
`String` `getMessage()`
`boolean` `isSucceeded()`
`static FormActionResult` `success​(String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### failure

    public static final FormActionResult failure​(String message)

#### success

    public static final FormActionResult success​(String message)

#### getMessage

    public String getMessage()

Returns:
  the message

#### isSucceeded

    public boolean isSucceeded()

Returns:
  the succeeded